// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once

// Static Libs
extern "C" {
  // Standard Libs
  #include <stdio.h>
  #include <stdint.h>
  #include <stdbool.h>
  #include <malloc.h>
  #include <string.h>
  #include <math.h>
  #include <stdlib.h>
  #include <assert.h>
  #include <float.h>

  typedef bool bool_t;
  typedef char char_t;
}

#include <vector>
#include <iostream>
#include <thread>
#include <map>
#include <array>
#include <memory>
#include <algorithm>
#include <sstream>
#include <string>
#include <functional>